# Get a callback configuration by project id.

The endpoint receives as path param project id. If the project exists, the details of the callback configuration are returned.

Endpoint: GET /v1/projects/{projectId}/callback-configuration
Version: 0.0.1
Security: OAuth2

## Path parameters:

  - `projectId` (string, required)
    Customer's project id

## Response 200 fields (application/json):

  - `hmacSecret` (string)
    The HMAC secret used for hashing the callback body using the HMAC-SHA1 algorithm - and for creating the X-Sinch-Signature header.
    Example: "d1c7ccbf-919d-462f-8587-dec95a1b11ee"

  - `projectId` (string)

## Response 404 fields (application/json):

  - `error` (object)

  - `error.code` (integer)
    Example: 400

  - `error.details` (array) — one of (discriminator: type):
    - ResourceInfo:
      - `type` (string)
        For not found details.
        Enum: "ResourceInfo"
      - `resourceType` (string)
        The type of the resource that was not found. Brand, Project, BrandType, etc.
        Example: "Brand"
      - `resourceName` (string)
        Corresponds to the unique identifier of the resource that was not found.
        Example: "1234567890"
      - `description` (string)
        A human-readable description of the error.
        Example: "The brand with the specified ID was not found."
    - BadRequest:
      - `type` (string)
        For invalid arguments details, this value is always BadRequest.
        Enum: "BadRequest"
      - `fieldViolations` (array)
      - `fieldViolations.field` (string)
        The field that contains the error
        Example: "brandName"
      - `fieldViolations.description` (string)
        Example: "Brand name already exists for this brand type"

  - `error.message` (string)
    Example: "Brand Name already exists for this brand type"

  - `error.status` (string)
    Enum: "INVALID_ARGUMENT", "UNKNOWN", "NOT_FOUND", "UNAUTHENTICATED", "FAILED_PRECONDITION", "ALREADY_EXISTS"


